Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt

Use this file to discover all available pages before exploring further.

Selecting Telnyx

Telnyx is the default provider. If you don’t specify a provider, you get Telnyx. WebSocket:
wss://api.telnyx.com/v2/text-to-speech/speech?voice=Telnyx.NaturalHD.astra
REST:
curl --request POST \
  --url https://api.telnyx.com/v2/text-to-speech \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "text": "Hello.",
  "voice": "Telnyx.NaturalHD.astra"
}'

Models

ModelLatencyQualityLanguagesVoice SourceWebSocketREST
NaturalLowGoodEnglishPre-built (Rime Mist)YesYes
NaturalHDLowBetter9 languagesPre-built (Rime Arcana)YesYes
KokoroTTSLowestGood5 languagesPre-builtYesYes
Qwen3TTSMediumHigh11 languagesCloned (Voice Design Lab)YesYes
UltraLowestHighest44 languagesPre-builtNoYes
GrokHigherHigh20+ languagesPre-builtVoice AIYes
Ultra is REST-only, not available over public WebSocket. Grok is available for Voice AI Assistants and direct REST TTS calls.

Browse all available voices via the Voices API or the Voice Design Lab.